// Copyright (c) 2003 Michael Rosellini. All rights reserved.
// See COPYING for terms of license.

#import <FourCorners/FCData.h>


@interface FCMutableData : FCData {
}

+ (FCMutableData*)data;

- (void)setTimestamp:(struct tm*)x;
- (void)setLatitude:(double)x;
- (void)setLongitude:(double)x;
- (void)setQuality:(FCQuality)x;
- (void)setNSatellites:(int)x;
- (void)setPdop:(float)x;
- (void)setHdop:(float)x;
- (void)setVdop:(float)x;
- (void)setAltitude:(float)x;
- (void)setSpeed:(float)x;
- (void)setHeading:(float)x;
- (void)setDeclination:(float)x;

@end
