// Copyright (c) 2003 Michael Rosellini. All rights reserved.
// See COPYING for terms of license.

#import <FourCorners/FCDevice.h>
#import <FourCorners/FCObserved.h>


@interface FCSocketDevice : FCObserved <FCDevice> {
    NSString *host;
    int port;
    char *buffer;
    int sock;
}

// I recommend that you stick to the factory functions in FCDevice.h.
- (id)initWithHost:(NSString*)h port:(int)p;

@end
